# GameSettingsService

**Noir.Services.GameSettingsService**: `NoirService`

A service for changing and accessing the game's settings.

***

```lua
Noir.Services.GameSettingsService:GetSettings()
```

Returns a list of all game settings.

### Returns

* `SWGameSettings`

***

```lua
Noir.Services.GameSettingsService:GetSetting(name)
```

Returns the value of the provided game setting.

### Parameters

* `name`: SWGameSettingEnum

### Returns

* `any`

***

```lua
Noir.Services.GameSettingsService:SetSetting(name, value)
```

Sets the value of the provided game setting.

### Parameters

* `name`: SWGameSettingEnum
* `value`: any


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cuhhub.gitbook.io/noir/api-reference/built-ins/services/gamesettingsservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
